import { css } from "@emotion/css";

export const astClasses = {
  root: css({
    "--colorBgBlockquote": "none",
    "--colorBgTableHead": "hsl(0deg, 0%, 94%)",
    "--colorBgTableEvenRow": "hsl(0deg, 0%, 96%)",
    "--colorBgTableOddRow": "hsl(0deg, 0%, 100%)",
    "--colorBorderBlockquote": "hsl(210deg, 13%, 85%)",
    "--colorBorderHeading": "hsl(0deg, 0%, 80%)",
    "--colorBorderImage": "hsl(277deg, 19%, 47%)",
    "--colorBorderTable": "hsl(220deg, 7%, 90%)",
    "--colorBgCode": "#f5f7f9",
    "--colorDelete": "hsl(210deg, 8%, 65%)",
    "--colorHeading": "hsl(0deg, 0%, 25%)",
    "--colorImageTitle": "hsl(0deg, 0%, 50%)",
    "--colorInlineCode": "hsl(348deg, 60%, 47%)",
    "--colorLink": "hsl(206deg, 53%, 47%)",
    "--colorLinkActive": "hsl(206deg, 53%, 52%)",
    "--colorLinkHover": "hsl(206deg, 53%, 52%)",
    "--colorLinkVisited": "hsl(206deg, 53%, 47%)",
    "--fontFamilyCode": "Consolas, 'Source Code Pro', 'Roboto Mono', monospace, sans-serif",
    "--fontFamilyHeading": "Consolas, 'Source Code Pro', 'Roboto Mono', monospace, sans-serif",
  }),
  rootDarken: css({
    "&&": {
      "--colorBgBlockquote": "none",
      "--colorBgTableHead": "hsl(200deg, 10%, 16%)",
      "--colorBgTableEvenRow": "hsl(200deg, 10%, 16%)",
      "--colorBgTableOddRow": "hsl(0deg, 0%, 9%)",
      "--colorBorderBlockquote": "hsl(207deg, 7%, 45%)",
      "--colorBorderHeading": "hsla(0deg, 0%, 30%, 0.8)",
      "--colorBorderImage": "hsl(290deg, 15%, 49%)",
      "--colorBorderTable": "hsl(0deg, 0%, 50%)",
      "--colorBgCode": "hsl(0deg, 0%, 12%)",
      "--colorDelete": "hsl(220deg, 5%, 68%)",
      "--colorHeading": "hsl(0deg, 0%, 65%)",
      "--colorImageTitle": "hsl(0deg, 0%, 50%)",
      "--colorInlineCode": "hsl(348deg, 70%, 52%)",
      "--colorLink": "hsl(207deg, 53%, 50%)",
      "--colorLinkActive": "hsl(207deg, 53%, 50%)",
      "--colorLinkHover": "hsl(207deg, 53%, 50%)",
      "--colorLinkVisited": "hsl(207deg, 53%, 50%)",
      "--fontFamilyCode": "Consolas, 'Source Code Pro', 'Roboto Mono', monospace, sans-serif",
      "--fontFamilyHeading": "Consolas, 'Source Code Pro', 'Roboto Mono', monospace, sans-serif",
    },
  }),
  blockquote: css({}),
  break: css({}),
  code: css({}),
  delete: css({}),
  emphasis: css({}),
  heading: css({}),
  image: css({}),
  imageReference: css({}),
  inlineCode: css({}),
  link: css({}),
  linkReference: css({}),
  list: css({}),
  listItem: css({}),
  paragraph: css({}),
  strong: css({}),
  table: css({}),
  text: css({}),
  thematicBreak: css({}),
};
